diff --git a/hub/kojihub.py b/hub/kojihub.py
index 14a5338..7e1ff7c 100644
--- a/hub/kojihub.py
+++ b/hub/kojihub.py
@@ -109,13 +109,13 @@ class Task(object):
         q = """SELECT state,host_id FROM task WHERE id=%(task_id)s FOR UPDATE"""
         r = _fetchSingle(q, locals())
         if not r:
-            raise koji.GenericError, "No such task: %i" % task_id
+            raise koji.GenericError("No such task: %i" % task_id)
         state, otherhost = r
         return (state == koji.TASK_STATES['OPEN'] and otherhost == host_id)
 
     def assertHost(self, host_id):
         if not self.verifyHost(host_id):
-            raise koji.ActionNotAllowed, "host %d does not own task %d" % (host_id, self.id)
+            raise koji.ActionNotAllowed("host %d does not own task %d" % (host_id, self.id))
 
     def getOwner(self):
         """Return the owner (user_id) for this task"""
@@ -133,13 +133,13 @@ class Task(object):
         q = """SELECT owner FROM task WHERE id=%(task_id)s FOR UPDATE"""
         r = _fetchSingle(q, locals())
         if not r:
-            raise koji.GenericError, "No such task: %i" % task_id
+            raise koji.GenericError("No such task: %i" % task_id)
         (owner,) = r
         return (owner == user_id)
 
     def assertOwner(self, user_id=None):
         if not self.verifyOwner(user_id):
-            raise koji.ActionNotAllowed, "user %d does not own task %d" % (user_id, self.id)
+            raise koji.ActionNotAllowed("user %d does not own task %d" % (user_id, self.id))
 
     def lock(self, host_id, newstate='OPEN', force=False):
         """Attempt to associate the task for host, either to assign or open
@@ -155,7 +155,7 @@ class Task(object):
             q = """SELECT state,host_id FROM task WHERE id=%(task_id)i FOR UPDATE"""
             r = _fetchSingle(q, locals())
             if not r:
-                raise koji.GenericError, "No such task: %i" % task_id
+                raise koji.GenericError("No such task: %i" % task_id)
             state, otherhost = r
             if state == koji.TASK_STATES['FREE']:
                 if otherhost is not None:
@@ -223,11 +223,11 @@ class Task(object):
         query = """SELECT state FROM task WHERE id = %(id)i FOR UPDATE"""
         row = _fetchSingle(query, vars(self))
         if not row:
-            raise koji.GenericError, "No such task: %i" % self.id
+            raise koji.GenericError("No such task: %i" % self.id)
         oldstate = row[0]
         if koji.TASK_STATES[oldstate] in ['CLOSED', 'CANCELED', 'FAILED']:
-            raise koji.GenericError, "Cannot free task %i, state is %s" % \
-                    (self.id, koji.TASK_STATES[oldstate])
+            raise koji.GenericError("Cannot free task %i, state is %s" % \
+                    (self.id, koji.TASK_STATES[oldstate]))
         newstate = koji.TASK_STATES['FREE']
         newhost = None
         q = """UPDATE task SET state=%(newstate)s,host_id=%(newhost)s
@@ -365,12 +365,12 @@ class Task(object):
         parent = _singleValue(q, locals())
         if parent is not None:
             if strict:
-                raise koji.GenericError, "Task %d is not top-level (parent=%d)" % (task_id, parent)
+                raise koji.GenericError("Task %d is not top-level (parent=%d)" % (task_id, parent))
             #otherwise, find the top-level task and go from there
             seen = {task_id:1}
             while parent is not None:
                 if seen.has_key(parent):
-                    raise koji.GenericError, "Task LOOP at task %i" % task_id
+                    raise koji.GenericError("Task LOOP at task %i" % task_id)
                 task_id = parent
                 seen[task_id] = 1
                 parent = _singleValue(q, locals())
@@ -384,7 +384,7 @@ class Task(object):
         for task_id in tasklist:
             if seen.has_key(task_id):
                 #shouldn't happen
-                raise koji.GenericError, "Task LOOP at task %i" % task_id
+                raise koji.GenericError("Task LOOP at task %i" % task_id)
             seen[task_id] = 1
             Task(task_id).cancel(recurse=False)
             for (child_id,) in _fetchMulti(q_children, locals()):
@@ -404,12 +404,12 @@ class Task(object):
         query = """SELECT state,result FROM task WHERE id = %(id)i"""
         r = _fetchSingle(query, vars(self))
         if not r:
-            raise koji.GenericError, "No such task"
+            raise koji.GenericError("No such task")
         state, xml_result = r
         if koji.TASK_STATES[state] == 'CANCELED':
-            raise koji.GenericError, "Task %i is canceled" % self.id
+            raise koji.GenericError("Task %i is canceled" % self.id)
         elif koji.TASK_STATES[state] not in ['CLOSED', 'FAILED']:
-            raise koji.GenericError, "Task %i is not finished" % self.id
+            raise koji.GenericError("Task %i is not finished" % self.id)
         if xml_result.find('<?xml', 0, 10) == -1:
             #handle older base64 encoded data
             xml_result = base64.decodestring(xml_result)
@@ -461,7 +461,7 @@ class Task(object):
                 info['result'] = self.getResult()
             new_val = info[attr]
         else:
-            raise koji.GenericError, 'unknown callback type: %s' % cbtype
+            raise koji.GenericError('unknown callback type: %s' % cbtype)
         old_val = old_info[attr]
         if attr == 'state':
             # state is passed in as an integer, but we want to use the string
@@ -489,10 +489,10 @@ def make_task(method, arglist, **opts):
         q = """SELECT %s FROM task WHERE id = %%(parent)i""" % ','.join(fields)
         r = _fetchSingle(q, opts)
         if not r:
-            raise koji.GenericError, "Invalid parent task: %(parent)s" % opts
+            raise koji.GenericError("Invalid parent task: %(parent)s" % opts)
         pdata = dict(zip(fields, r))
         if pdata['state'] != koji.TASK_STATES['OPEN']:
-            raise koji.GenericError, "Parent task (id %(parent)s) is not open" % opts
+            raise koji.GenericError("Parent task (id %(parent)s) is not open" % opts)
         #default to a higher priority than parent
         opts.setdefault('priority', pdata['priority'] - 1)
         for f in ('owner', 'arch'):
@@ -503,7 +503,7 @@ def make_task(method, arglist, **opts):
         #calling function should enforce priority limitations, if applicable
         opts.setdefault('arch', 'noarch')
         if not context.session.logged_in:
-            raise koji.GenericError, 'task must have an owner'
+            raise koji.GenericError('task must have an owner')
         else:
             opts['owner'] = context.session.user_id
         opts['label'] = None
@@ -543,20 +543,20 @@ def make_task(method, arglist, **opts):
                 if not opts.get('parent'):
                     logger.error("Invalid channel policy result (no parent task): %s",
                                     ruleset.last_rule())
-                    raise koji.GenericError, "invalid channel policy"
+                    raise koji.GenericError("invalid channel policy")
                 opts['channel_id'] = pdata['channel_id']
             elif parts[0] == "req":
                 if 'channel' not in opts:
                     logger.error('Invalid channel policy result (no channel requested): %s',
                                     ruleset.last_rule())
-                    raise koji.GenericError, "invalid channel policy"
+                    raise koji.GenericError("invalid channel policy")
                 opts['channel_id'] = req_channel_id
             else:
                 logger.error("Invalid result from channel policy: %s", ruleset.last_rule())
-                raise koji.GenericError, "invalid channel policy"
+                raise koji.GenericError("invalid channel policy")
         except IndexError:
             logger.error("Invalid result from channel policy: %s", ruleset.last_rule())
-            raise koji.GenericError, "invalid channel policy"
+            raise koji.GenericError("invalid channel policy")
 
     # encode xmlrpc request
     opts['request'] = xmlrpclib.dumps(tuple(arglist), methodname=method,
@@ -589,7 +589,7 @@ def eventCondition(event, table=None):
         return """(%(table)screate_event <= %(event)d AND ( %(table)srevoke_event IS NULL OR %(event)d < %(table)srevoke_event ))""" \
             % locals()
     else:
-        raise koji.GenericError, "Invalid event: %r" % event
+        raise koji.GenericError("Invalid event: %r" % event)
 
 def readGlobalInheritance(event=None):
     c = context.cnx.cursor()
@@ -648,7 +648,7 @@ def _writeInheritanceData(tag_id, changes, clear=False):
             check_fields = ('parent_id')
         for f in fields:
             if not link.has_key(f):
-                raise koji.GenericError, "No value for %s" % f
+                raise koji.GenericError("No value for %s" % f)
     # read current data and index
     data = dict([[link['parent_id'], link] for link in readInheritanceData(tag_id)])
     for link in changes:
@@ -691,7 +691,7 @@ def _writeInheritanceData(tag_id, changes, clear=False):
             continue
         #oops, duplicate entries for a single priority
         dup_ids = [link['parent_id'] for link in dups]
-        raise koji.GenericError, "Inheritance priorities must be unique (pri %s: %r )" % (pri, dup_ids)
+        raise koji.GenericError("Inheritance priorities must be unique (pri %s: %r )" % (pri, dup_ids))
     for parent_id, link in data.iteritems():
         if not link.get('is_update'):
             continue
@@ -859,7 +859,7 @@ def _direct_pkglist_add(taginfo, pkginfo, owner, block, extra_arches, force,
     pkg = lookup_package(pkginfo, strict=False)
     if not pkg:
         if not isinstance(pkginfo, basestring):
-            raise koji.GenericError, "Invalid package: %s" % pkginfo
+            raise koji.GenericError("Invalid package: %s" % pkginfo)
     if owner is not None:
         owner = get_user(owner, strict=True)['id']
     action = 'add'
@@ -889,8 +889,8 @@ def _direct_pkglist_add(taginfo, pkginfo, owner, block, extra_arches, force,
             block = bool(block)
         if update and not force:
             #if update flag is true, require that there be a previous entry
-            raise koji.GenericError, "cannot update: tag %s has no data for package %s" \
-                    % (tag['name'], pkg['name'])
+            raise koji.GenericError("cannot update: tag %s has no data for package %s" \
+                    % (tag['name'], pkg['name']))
     else:
         #already there (possibly via inheritance)
         if owner is None:
@@ -913,12 +913,12 @@ def _direct_pkglist_add(taginfo, pkginfo, owner, block, extra_arches, force,
             #no point in adding it again with the same data
             return
         if previous['blocked'] and not block and not force:
-            raise koji.GenericError, "package %s is blocked in tag %s" % (pkg['name'], tag['name'])
+            raise koji.GenericError("package %s is blocked in tag %s" % (pkg['name'], tag['name']))
     if owner is None:
         if force:
             owner = context.session.user_id
         else:
-            raise koji.GenericError, "owner not specified"
+            raise koji.GenericError("owner not specified")
     _pkglist_add(tag_id, pkg['id'], owner, block, extra_arches)
     koji.plugin.run_callbacks('postPackageListChange', action=action, tag=tag, package=pkg, owner=owner,
                               block=block, extra_arches=extra_arches, force=force, update=update)
@@ -972,10 +972,10 @@ def pkglist_unblock(taginfo, pkginfo, force=False):
     pkglist = readPackageList(tag_id, pkgID=pkg_id, inherit=True)
     previous = pkglist.get(pkg_id, None)
     if previous is None:
-        raise koji.GenericError, "no data (blocked or otherwise) for package %s in tag %s" \
-                % (pkg['name'], tag['name'])
+        raise koji.GenericError("no data (blocked or otherwise) for package %s in tag %s" \
+                % (pkg['name'], tag['name']))
     if not previous['blocked']:
-        raise koji.GenericError, "package %s NOT blocked in tag %s" % (pkg['name'], tag['name'])
+        raise koji.GenericError("package %s NOT blocked in tag %s" % (pkg['name'], tag['name']))
     if previous['tag_id'] != tag_id:
         _pkglist_add(tag_id, pkg_id, previous['owner_id'], False, previous['extra_arches'])
     else:
@@ -1004,7 +1004,7 @@ def readPackageList(tagID=None, userID=None, pkgID=None, event=None, inherit=Fal
     Note that the returned data includes blocked entries
     """
     if tagID is None and userID is None and pkgID is None:
-        raise koji.GenericError, 'tag,user, and/or pkg must be specified'
+        raise koji.GenericError('tag,user, and/or pkg must be specified')
 
     packages = {}
     fields = (('package.id', 'package_id'), ('package.name', 'package_name'),
@@ -1104,7 +1104,7 @@ def list_tags(build=None, package=None, queryOpts=None):
       - extra_arches
     """
     if build is not None and package is not None:
-        raise koji.GenericError, 'only one of build and package may be specified'
+        raise koji.GenericError('only one of build and package may be specified')
 
     tables = ['tag_config']
     joins = ['tag ON tag.id = tag_config.tag_id',
@@ -1121,7 +1121,7 @@ def list_tags(build=None, package=None, queryOpts=None):
         # lookup build id
         buildinfo = get_build(build)
         if not buildinfo:
-            raise koji.GenericError, 'invalid build: %s' % build
+            raise koji.GenericError('invalid build: %s' % build)
         joins.append('tag_listing ON tag.id = tag_listing.tag_id')
         clauses.append('tag_listing.active = true')
         clauses.append('tag_listing.build_id = %(buildID)i')
@@ -1129,7 +1129,7 @@ def list_tags(build=None, package=None, queryOpts=None):
     elif package is not None:
         packageinfo = lookup_package(package)
         if not packageinfo:
-            raise koji.GenericError, 'invalid package: %s' % package
+            raise koji.GenericError('invalid package: %s' % package)
         fields.extend(['users.id', 'users.name', 'tag_packages.blocked', 'tag_packages.extra_arches'])
         aliases.extend(['owner_id', 'owner_name', 'blocked', 'extra_arches'])
         joins.append('tag_packages ON tag.id = tag_packages.tag_id')
@@ -1199,7 +1199,7 @@ def readTaggedBuilds(tag, event=None, inherit=False, latest=False, package=None,
     else:
         btype = lookup_name('btype', type, strict=False)
         if not btype:
-            raise koji.GenericError, 'unsupported build type: %s' % type
+            raise koji.GenericError('unsupported build type: %s' % type)
         btype_id = btype['id']
         type_join = ('JOIN build_types ON build.id = build_types.build_id '
                 'AND btype_id = %(btype_id)s')
@@ -1304,7 +1304,7 @@ def readTaggedRPMS(tag, package=None, arch=None, event=None, inherit=False, late
         elif isinstance(arch, (list, tuple)):
             clauses.append('rpminfo.arch IN %(arch)s')
         else:
-            raise koji.GenericError, 'invalid arch option: %s' % arch
+            raise koji.GenericError('invalid arch option: %s' % arch)
 
     fields, aliases = zip(*fields)
     query = QueryProcessor(tables=tables, joins=joins, clauses=clauses,
@@ -1398,7 +1398,7 @@ def readTaggedArchives(tag, package=None, event=None, inherit=False, latest=True
                        ('win_archives.platforms', 'platforms'),
                        ('win_archives.flags', 'flags')])
     else:
-        raise koji.GenericError, 'unsupported archive type: %s' % type
+        raise koji.GenericError('unsupported archive type: %s' % type)
 
     query = QueryProcessor(tables=tables, joins=joins, clauses=clauses,
                            transform=_fix_archive_row,
@@ -1447,7 +1447,7 @@ def check_tag_access(tag_id, user_id=None):
     if user_id is None:
         user_id = context.session.user_id
     if user_id is None:
-        raise koji.GenericError, "a user_id is required"
+        raise koji.GenericError("a user_id is required")
     perms = koji.auth.get_user_perms(user_id)
     override = False
     if 'admin' in perms:
@@ -1464,7 +1464,7 @@ def check_tag_access(tag_id, user_id=None):
 def assert_tag_access(tag_id, user_id=None, force=False):
     access, override, reason = check_tag_access(tag_id, user_id)
     if not access and not (override and force):
-        raise koji.ActionNotAllowed, reason
+        raise koji.ActionNotAllowed(reason)
 
 def _tag_build(tag, build, user_id=None, force=False):
     """Tag a build
@@ -1500,7 +1500,7 @@ def _direct_tag_build(tag, build, user, force=False):
     if build['state'] != koji.BUILD_STATES['COMPLETE']:
         # incomplete builds may not be tagged, not even when forced
         state = koji.BUILD_STATES[build['state']]
-        raise koji.TagError, "build %s not complete: state %s" % (nvr, state)
+        raise koji.TagError("build %s not complete: state %s" % (nvr, state))
     # see if it's already tagged
     retag = False
     table = 'tag_listing'
@@ -1512,7 +1512,7 @@ def _direct_tag_build(tag, build, user, force=False):
     if query.executeOne():
         #already tagged
         if not force:
-            raise koji.TagError, "build %s already tagged (%s)" % (nvr, tag['name'])
+            raise koji.TagError("build %s already tagged (%s)" % (nvr, tag['name']))
         #otherwise we retag
         retag = True
     if retag:
@@ -1559,7 +1559,7 @@ def _direct_untag_build(tag, build, user, strict=True, force=False):
     count = update.execute()
     if count == 0 and strict:
         nvr = "%(name)s-%(version)s-%(release)s" % build
-        raise koji.TagError, "build %s not in tag %s" % (nvr, tag['name'])
+        raise koji.TagError("build %s not in tag %s" % (nvr, tag['name']))
     koji.plugin.run_callbacks('postUntag', tag=tag, build=build, user=user, force=force, strict=strict)
 
 
@@ -1593,7 +1593,7 @@ def _grplist_add(taginfo, grpinfo, block, force, **opts):
     if previous is not None:
         #already there (possibly via inheritance)
         if previous['blocked'] and not force:
-            raise koji.GenericError, "group %s is blocked in tag %s" % (group['name'], tag['name'])
+            raise koji.GenericError("group %s is blocked in tag %s" % (group['name'], tag['name']))
         #check for duplication and grab old data for defaults
         changed = False
         for field in cfg_fields:
@@ -1678,7 +1678,7 @@ def _grplist_unblock(taginfo, grpinfo):
                            values=locals(), opts={'rowlock':True})
     blocked = query.singleValue(strict=False)
     if not blocked:
-        raise koji.GenericError, "group %s is NOT blocked in tag %s" % (group['name'], tag['name'])
+        raise koji.GenericError("group %s is NOT blocked in tag %s" % (group['name'], tag['name']))
     update = UpdateProcessor(table, values=locals(), clauses=clauses)
     update.make_revoke()
     update.execute()
@@ -1708,9 +1708,9 @@ def _grp_pkg_add(taginfo, grpinfo, pkg_name, block, force, **opts):
     groups = get_tag_groups(tag['id'], inherit=True, incl_pkgs=True, incl_reqs=False)
     grp_cfg = groups.get(group['id'], None)
     if grp_cfg is None:
-        raise koji.GenericError, "group %s not present in tag %s" % (group['name'], tag['name'])
+        raise koji.GenericError("group %s not present in tag %s" % (group['name'], tag['name']))
     elif grp_cfg['blocked']:
-        raise koji.GenericError, "group %s is blocked in tag %s" % (group['name'], tag['name'])
+        raise koji.GenericError("group %s is blocked in tag %s" % (group['name'], tag['name']))
     previous = grp_cfg['packagelist'].get(pkg_name, None)
     cfg_fields = ('type', 'basearchonly', 'requires')
     #prevent user-provided opts from doing anything strange
@@ -1718,8 +1718,8 @@ def _grp_pkg_add(taginfo, grpinfo, pkg_name, block, force, **opts):
     if previous is not None:
         #already there (possibly via inheritance)
         if previous['blocked'] and not force:
-            raise koji.GenericError, "package %s blocked in group %s, tag %s" \
-                    % (pkg_name, group['name'], tag['name'])
+            raise koji.GenericError("package %s blocked in group %s, tag %s" \
+                    % (pkg_name, group['name'], tag['name']))
         #check for duplication and grab old data for defaults
         changed = False
         for field in cfg_fields:
@@ -1800,8 +1800,8 @@ def _grp_pkg_unblock(taginfo, grpinfo, pkg_name):
                            values=locals(), opts={'rowlock':True})
     blocked = query.singleValue(strict=False)
     if not blocked:
-        raise koji.GenericError, "package %s is NOT blocked in group %s, tag %s" \
-                    % (pkg_name, grp_id, tag_id)
+        raise koji.GenericError("package %s is NOT blocked in group %s, tag %s" \
+                    % (pkg_name, grp_id, tag_id))
     update = UpdateProcessor('group_package_listing', values=locals(), clauses=clauses)
     update.make_revoke()
     update.execute()
@@ -1832,9 +1832,9 @@ def _grp_req_add(taginfo, grpinfo, reqinfo, block, force, **opts):
     groups = get_tag_groups(tag['id'], inherit=True, incl_pkgs=False, incl_reqs=True)
     grp_cfg = groups.get(group['id'], None)
     if grp_cfg is None:
-        raise koji.GenericError, "group %s not present in tag %s" % (group['name'], tag['name'])
+        raise koji.GenericError("group %s not present in tag %s" % (group['name'], tag['name']))
     elif grp_cfg['blocked']:
-        raise koji.GenericError, "group %s is blocked in tag %s" % (group['name'], tag['name'])
+        raise koji.GenericError("group %s is blocked in tag %s" % (group['name'], tag['name']))
     previous = grp_cfg['grouplist'].get(req['id'], None)
     cfg_fields = ('type', 'is_metapkg')
     #prevent user-provided opts from doing anything strange
@@ -1842,8 +1842,8 @@ def _grp_req_add(taginfo, grpinfo, reqinfo, block, force, **opts):
     if previous is not None:
         #already there (possibly via inheritance)
         if previous['blocked'] and not force:
-            raise koji.GenericError, "requirement on group %s blocked in group %s, tag %s" \
-                    % (req['name'], group['name'], tag['name'])
+            raise koji.GenericError("requirement on group %s blocked in group %s, tag %s" \
+                    % (req['name'], group['name'], tag['name']))
         #check for duplication and grab old data for defaults
         changed = False
         for field in cfg_fields:
@@ -1927,8 +1927,8 @@ def _grp_req_unblock(taginfo, grpinfo, reqinfo):
                            values=locals(), opts={'rowlock':True})
     blocked = query.singleValue(strict=False)
     if not blocked:
-        raise koji.GenericError, "group req %s is NOT blocked in group %s, tag %s" \
-                    % (req_id, grp_id, tag_id)
+        raise koji.GenericError("group req %s is NOT blocked in group %s, tag %s" \
+                    % (req_id, grp_id, tag_id))
     update = UpdateProcessor('group_req_listing', values=locals(), clauses=clauses)
     update.make_revoke()
     update.execute()
@@ -2037,7 +2037,7 @@ def readTagGroups(tag, event=None, inherit=True, incl_pkgs=True, incl_reqs=True)
 def set_host_enabled(hostname, enabled=True):
     context.session.assertPerm('admin')
     if not get_host(hostname):
-        raise koji.GenericError, 'host does not exist: %s' % hostname
+        raise koji.GenericError('host does not exist: %s' % hostname)
     c = context.cnx.cursor()
     c.execute("""UPDATE host SET enabled = %(enabled)s WHERE name = %(hostname)s""", locals())
     context.commit_pending = True
@@ -2050,15 +2050,15 @@ def add_host_to_channel(hostname, channel_name, create=False):
     context.session.assertPerm('admin')
     host = get_host(hostname)
     if host == None:
-        raise koji.GenericError, 'host does not exist: %s' % hostname
+        raise koji.GenericError('host does not exist: %s' % hostname)
     host_id = host['id']
     channel_id = get_channel_id(channel_name, create=create)
     if channel_id == None:
-        raise koji.GenericError, 'channel does not exist: %s' % channel_name
+        raise koji.GenericError('channel does not exist: %s' % channel_name)
     channels = list_channels(host_id)
     for channel in channels:
         if channel['id'] == channel_id:
-            raise koji.GenericError, 'host %s is already subscribed to the %s channel' % (hostname, channel_name)
+            raise koji.GenericError('host %s is already subscribed to the %s channel' % (hostname, channel_name))
     insert = InsertProcessor('host_channels')
     insert.set(host_id=host_id, channel_id=channel_id)
     insert.execute()
@@ -2067,11 +2067,11 @@ def remove_host_from_channel(hostname, channel_name):
     context.session.assertPerm('admin')
     host = get_host(hostname)
     if host == None:
-        raise koji.GenericError, 'host does not exist: %s' % hostname
+        raise koji.GenericError('host does not exist: %s' % hostname)
     host_id = host['id']
     channel_id = get_channel_id(channel_name)
     if channel_id == None:
-        raise koji.GenericError, 'channel does not exist: %s' % channel_name
+        raise koji.GenericError('channel does not exist: %s' % channel_name)
     found = False
     channels = list_channels(host_id)
     for channel in channels:
@@ -2079,7 +2079,7 @@ def remove_host_from_channel(hostname, channel_name):
             found = True
             break
     if not found:
-        raise koji.GenericError, 'host %s is not subscribed to the %s channel' % (hostname, channel_name)
+        raise koji.GenericError('host %s is not subscribed to the %s channel' % (hostname, channel_name))
     c = context.cnx.cursor()
     c.execute("""DELETE FROM host_channels WHERE host_id = %(host_id)d and channel_id = %(channel_id)d""", locals())
     context.commit_pending = True
@@ -2088,11 +2088,11 @@ def rename_channel(old, new):
     """Rename a channel"""
     context.session.assertPerm('admin')
     if not isinstance(new, basestring):
-        raise koji.GenericError, "new channel name must be a string"
+        raise koji.GenericError("new channel name must be a string")
     cinfo = get_channel(old, strict=True)
     dup_check = get_channel(new, strict=False)
     if dup_check:
-        raise koji.GenericError, "channel %(name)s already exists (id=%(id)i)" % dup_check
+        raise koji.GenericError("channel %(name)s already exists (id=%(id)i)" % dup_check)
     update = UpdateProcessor('channels', clauses=['id=%(id)i'], values=cinfo)
     update.set(name=new)
     update.execute()
@@ -2110,12 +2110,12 @@ def remove_channel(channel_name, force=False):
                     values=locals(), columns=['id'], opts={'limit':1})
     #XXX slow query
     if query.execute():
-        raise koji.GenericError, 'channel %s has task references' % channel_name
+        raise koji.GenericError('channel %s has task references' % channel_name)
     query = QueryProcessor(tables=['host_channels'], clauses=['channel_id=%(channel_id)i'],
                     values=locals(), columns=['host_id'], opts={'limit':1})
     if query.execute():
         if not force:
-            raise koji.GenericError, 'channel %s has host references' % channel_name
+            raise koji.GenericError('channel %s has host references' % channel_name)
         delete = """DELETE FROM host_channels WHERE channel_id=%(channel_id)i"""
         _dml(delete, locals())
     delete = """DELETE FROM channels WHERE id=%(channel_id)i"""
@@ -2451,8 +2451,8 @@ def repo_set_state(repo_id, state, check=True):
         q = """SELECT state FROM repo WHERE id = %(repo_id)s FOR UPDATE"""
         oldstate = _singleValue(q, locals())
         if oldstate > state:
-            raise koji.GenericError, "Invalid repo state transition %s->%s" \
-                    % (oldstate, state)
+            raise koji.GenericError("Invalid repo state transition %s->%s" \
+                    % (oldstate, state))
     q = """UPDATE repo SET state=%(state)s WHERE id = %(repo_id)s"""
     _dml(q, locals())
 
@@ -2590,7 +2590,7 @@ def set_tag_update(tag_id, utype, event_id=None, user_id=None):
     """Record a non-versioned tag update"""
     utype_id = koji.TAG_UPDATE_TYPES.getnum(utype)
     if utype_id is None:
-        raise koji.GenericError, "Invalid update type: %s" % utype
+        raise koji.GenericError("Invalid update type: %s" % utype)
     if event_id is None:
         event_id = get_event()
     if user_id is None:
@@ -2637,18 +2637,18 @@ def edit_build_target(buildTargetInfo, name, build_tag, dest_tag):
 
     target = lookup_build_target(buildTargetInfo)
     if not target:
-        raise koji.GenericError, 'invalid build target: %s' % buildTargetInfo
+        raise koji.GenericError('invalid build target: %s' % buildTargetInfo)
 
     buildTargetID = target['id']
 
     build_tag_object = get_tag(build_tag)
     if not build_tag_object:
-        raise koji.GenericError, "build tag '%s' does not exist" % build_tag
+        raise koji.GenericError("build tag '%s' does not exist" % build_tag)
     buildTagID = build_tag_object['id']
 
     dest_tag_object = get_tag(dest_tag)
     if not dest_tag_object:
-        raise koji.GenericError, "destination tag '%s' does not exist" % dest_tag
+        raise koji.GenericError("destination tag '%s' does not exist" % dest_tag)
     destTagID = dest_tag_object['id']
 
     if target['name'] != name:
@@ -2656,7 +2656,7 @@ def edit_build_target(buildTargetInfo, name, build_tag, dest_tag):
         id = _singleValue("""SELECT id from build_target where name = %(name)s""",
                           locals(), strict=False)
         if id is not None:
-            raise koji.GenericError, 'name "%s" is already taken by build target %i' % (name, id)
+            raise koji.GenericError('name "%s" is already taken by build target %i' % (name, id))
 
         rename = """UPDATE build_target
         SET name = %(name)s
@@ -2682,7 +2682,7 @@ def delete_build_target(buildTargetInfo):
 
     target = lookup_build_target(buildTargetInfo)
     if not target:
-        raise koji.GenericError, 'invalid build target: %s' % buildTargetInfo
+        raise koji.GenericError('invalid build target: %s' % buildTargetInfo)
 
     targetID = target['id']
 
@@ -2716,7 +2716,7 @@ def get_build_targets(info=None, event=None, buildTagID=None, destTagID=None, qu
         elif isinstance(info, int) or isinstance(info, long):
             clauses.append('build_target.id = %(info)i')
         else:
-            raise koji.GenericError, 'invalid type for lookup: %s' % type(info)
+            raise koji.GenericError('invalid type for lookup: %s' % type(info))
     if buildTagID != None:
         clauses.append('build_tag = %(buildTagID)i')
     if destTagID != None:
@@ -2734,7 +2734,7 @@ def get_build_target(info, event=None, strict=False):
     if len(targets) == 1:
         return targets[0]
     elif strict:
-        raise koji.GenericError, 'No matching build target found: %s' % info
+        raise koji.GenericError('No matching build target found: %s' % info)
     else:
         return None
 
